<?php

declare(strict_types=1);

namespace App\Entity\Organization;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * TODO: documenter.
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class CotisationStaffInfos
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\OneToOne(targetEntity: CotisationByYear::class, inversedBy: 'cotisationStaffInfos', cascade: [])]
    protected ?CotisationByYear $cotisationByYear;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCotisationByYear(): ?CotisationByYear
    {
        return $this->cotisationByYear;
    }

    public function setCotisationByYear(?CotisationByYear $cotisationByYear): self
    {
        $this->cotisationByYear = $cotisationByYear;

        return $this;
    }
}
